al_get_opengl_texture(3)

NAME

al_get_opengl_texture - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_opengl.h>
    GLuint al_get_opengl_texture(ALLEGRO_BITMAP *bitmap)

DESCRIPTION

Returns the OpenGL texture id internally used by the given bitmap if it uses one, else 0.

Example:

    bitmap = al_load_bitmap("my_texture.png");
    texture = al_get_opengl_texture(bitmap);
    if (texture != 0)
        glBindTexture(GL_TEXTURE_2D, texture);